Bug 238878 - security/keepassxc: Autotype converts ISO_Level3_Shift keys to level1 characters
Summary: security/keepassxc: Autotype converts ISO_Level3_Shift keys to level1 characters
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-06-29 13:07 UTC by p5B2E9A8F
Modified: 2020-01-26 20:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (melanhit)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2019-06-29 13:07:53 UTC
When performing autotype feature ISO_Level3_Shift keys are filled in as level1-characters.

Examples:
@ is autotyped as q
€ is autotyped as e
~ is autotyped as +

When names and passwords are entered by copy and paste it is done correctly.
Comment 1 p5B2E9A8F 2019-08-25 11:35:23 UTC
Ping! Feedback, please.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-27 07:11:01 UTC
(In reply to p5B2E9A8F from comment #1)

It's worth hitting up upstream support channels to see if the issue can be isolated with root cause(s) identified.

The issue may have been reported and/or fixed upstream too
Comment 3 Andrew Romanenko 2019-10-27 20:22:18 UTC
keepassxc updated, can you repeat a bug?
Comment 4 p5B2E9A8F 2019-10-28 03:21:47 UTC
(In reply to Andrew Romanenko from comment #3)
The problem did not go away. All the same with the new version.
Comment 5 p5B2E9A8F 2020-01-19 13:16:55 UTC
As this problem hits me more than once a day it has to find an end.
Either saying good bye to keepassxc or trying to debug for a last time.

As likely no one else complains about this it might be a local misconfiguration (of X11 keyboard) but where to look and what is relevant? 

Some help is needed. Thank you for any hints.

So why <CTRL-b> and <CTRL-v> copies '@'
and why does Auto-Type paste a 'q' instead. 
The keyboard is a WERTZ-type where @ is generated by <AltGr-q>
Comment 6 Andrew Romanenko 2020-01-19 14:07:37 UTC
(In reply to p5B2E9A8F from comment #5)
can you mail me?
Comment 7 p5B2E9A8F 2020-01-26 20:31:08 UTC
Andrew presented this solution to me, which fixes the problem:

Create ~/.Xmodmap with

clear mod5
add mod5 = ISO_Level3_Shift

In ~/.xinitrc add line

xmodmap ~/.Xmodmap